<div class="card" id="ticket">
  <div class="card-body">
    <h5 class="card-title">Gestionar Consumo</h5>

    <form #formCambioPass="ngForm">

      <div class="mb-3">
        <label for="exampleInputPassword1" class="form-label">Mesa</label>
        <select [(ngModel)]="new.id_mesa" [ngModelOptions]="{standalone: true}" (ngModelChange)="mesaSeleccionada()">
          <option [ngValue]="null" disabled>Seleccionar mesa</option>
          <option *ngFor="let r of mesas" [ngValue]="r.id">{{r.nombre_mesa}}</option>
        </select>
      </div>
      <div>
        <div class="mb-3">
          <label for="exampleInputPassword1" class="form-label">Cedula de cliente</label>
          <input type="text" class="form-control" id="exampleInputPasswordconfir" required [(ngModel)]="cliente.cedula"
            [ngModelOptions]="{standalone: true}" (ngModelChange)="getCliente()">
          <!-- <p>{{this.cliente.nombre + ' ' +this.cliente.apellido}}</p> -->
        </div>


        <div class="mb-3">
          <label for="exampleInputPassword1" class="form-label">Nombre Cliente</label>
          <input type="text" class="form-control" id="exampleInputPasswordconfir" required [(ngModel)]="cliente.nombre"
            [ngModelOptions]="{standalone: true}" [disabled]="existeCliente">

        </div>

        <div class="mb-3">
          <label for="exampleInputPassword1" class="form-label">Apellido Cliente</label>
          <input type="text" class="form-control" id="exampleInputPasswordconfir" required
            [(ngModel)]="cliente.apellido" [ngModelOptions]="{standalone: true}" [disabled]="existeCliente">
        </div>

        <div class="mb-3">
          <label for="exampleInputPassword1" class="form-label">Total</label>
          <input type="text" class="form-control" id="exampleInputPasswordconfir" required [(ngModel)]="this.new.total"
            [ngModelOptions]="{standalone: true}" disabled>
        </div>


        <div class="mb-3">
          <label for="exampleInputPassword1" class="form-label">Estado</label>
          <select [(ngModel)]="new.estado" [ngModelOptions]="{standalone: true}">
            <option [ngValue]="null" disabled>Seleccionar estado</option>
            <option *ngFor="let r of estados" [ngValue]="r.valor">{{r.valor}}</option>
          </select>
        </div>



      </div>




      <div style="color:forestgreen">
        <p class="color:red">{{exito.message}}</p>
      </div>
      <div style="color:red">
        <p class="color:red">{{error.message}}</p>
      </div>
      <button type="submit" class="btn btn-primary" (click)="crear()">Crear Consumo</button>

    </form>

    <div *ngIf="this.existeConsumo">
      
      <h5 class="card-title">Gestionar Detalle Consumo</h5>

      <button mat-raised-button (click)="agregarDetalle()">Agregar</button>
      
      <table mat-table [dataSource]="dataSource">
        <ng-container [matColumnDef]="col.key" *ngFor="let col of columnsSchema">
          <th mat-header-cell *matHeaderCellDef>
            {{ col.label }}
          </th>
          <td mat-cell *matCellDef="let element">
            <div [ngSwitch]="col.type" *ngIf="!element.isEdit">
              <div class="btn-edit" *ngSwitchCase="'isEdit'">
                <button mat-button (click)="editarDetalle(element)">
                  Editar
                </button>
              </div>
              <span *ngSwitchDefault>
                {{ element[col.key] }}
              </span>
            </div>
            <div [ngSwitch]="col.type" *ngIf="element.isEdit">
              <div class="btn-edit" *ngSwitchCase="'isEdit'">
                <button mat-button (click)="element.isEdit = !element.isEdit">Done</button>
              </div>
              <mat-form-field *ngSwitchCase="'date'" appearance="fill">
                <mat-label>Choose a date</mat-label>
                <input matInput [matDatepicker]="picker" [(ngModel)]="element[col.key]" />
                <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
              </mat-form-field>
              <mat-form-field *ngSwitchDefault>
                <input [type]="col.type" matInput [(ngModel)]="element[col.key]" />
              </mat-form-field>
            </div>
          </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      </table>
      <button class="btn btn-success btn-block" (click)="openPDF()">Download PDF</button>
    </div>

  </div>
</div>